network Namespace Reference

## Classes

class | _Fake
| File wrapper which can be used in place of a network.Socket.
class | _fd_wrap
class | Server
| Listen on a network port and accept connections. More...
class | Socket
| Connection object. More...

## Functions

def | set_log_output (file)
| Change target for log(). More...
def | log (*message, filename=None, line=None, funcname=None, depth=0)
| Log a message. More...
def | lookup (service)
| Convert int or str with int or service to int port. More...
def | wrap (i, o=None)
| Wrap two files into a fake socket. More...
def | iteration (block=False)
| Do a single iteration of the main loop. More...
def | fgloop ()
| Wait for events and handle them. More...
def | bgloop ()
| Like fgloop, but forks to the background. More...
def | endloop (force=False)
| Stop a loop that was started with fgloop() or bgloop(). More...
def | add_read (fd, cb, error=None)
def | add_write (fd, cb, error=None)
def | add_timeout (abstime, cb)
def | add_idle (cb)
def | remove_read (handle)
def | remove_write (handle)
def | remove_timeout (handle)
def | remove_idle (handle)

## Variables

string | modulename = 'network'
| default
bool | have_ssl = True
| makestr = lambda x: str(x, 'utf8', 'replace') if isinstance(x, bytes) else x
| log_output = sys.stderr
bool | log_date = False